> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset jobs



## OpenAPI

````yaml /api-specs/cloud/dmm.json post /model-monitor/v2/api/{model_id}/dataset-jobs
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/{model_id}/dataset-jobs:
    summary: Get the list of jobs associated with a model
    parameters:
      - description: Identifier of the model
        in: path
        name: model_id
        required: true
        schema:
          type: string
    post:
      tags:
        - DatasetJob
      summary: Get dataset jobs
      operationId: getDatasetJobs
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/jobHistoryRequest'
        description: ''
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/listJobResponse'
          description: Gets the list of jobs for the model
        '404':
          description: Dataset not found for the given identifier.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    jobHistoryRequest:
      description: List the dataset jobs associated with a model
      properties:
        end:
          description: End Date for the Dataset range
          type: integer
        filters:
          $ref: '#/components/schemas/jobDashboardFilter'
        pagination:
          $ref: '#/components/schemas/jobPagination'
        search:
          description: Search key for dataset name
          type: string
        start:
          description: Start Date for the Dataset range
          type: integer
      required:
        - start
        - end
        - pagination
      title: List Dataset Jobs
      type: object
    listJobResponse:
      properties:
        jobs:
          description: List of jobs by pagination
          items:
            $ref: '#/components/schemas/jobHistoryResponse'
          type: array
        total:
          description: >-
            Total number of jobs qualified for the query sent, without
            pagination
          type: integer
      required:
        - total
        - jobs
      type: object
    jobDashboardFilter:
      description: Filter keys for dataset job dashboard
      properties:
        job_type:
          description: Type of the dataset job
          items:
            $ref: '#/components/schemas/jobType'
          type: array
        status:
          description: Status of the dataset job
          items:
            enum:
              - pending
              - processing
              - done
              - failed
              - skipped
            type: string
          type: array
      title: Dataset Job Dashboard Filter
      type: object
    jobPagination:
      description: This is used to fetch the result in a paginated manner
      properties:
        order:
          description: The sorting order, 1 for ascending and -1 for descending
          enum:
            - 1
            - -1
          type: integer
        page:
          description: The page number for the data to be fetched
          type: integer
        size:
          description: The page size to be used for fetching the data
          type: integer
        sort:
          description: The sorting key to be used
          enum:
            - created_at
            - records
          type: string
      required:
        - order
        - sort
        - page
        - size
      title: Pagination Object
      type: object
    jobHistoryResponse:
      description: Dataset Job summary for history
      properties:
        actionable_insights_details:
          $ref: '#/components/schemas/actionableInsightsDetails'
        dataset_id:
          description: Unique Identifier of a dataset
          type: string
        dataset_name:
          description: Name of the dataset associated with the job
          type: string
        dataset_path:
          description: The path of the dataset
          type: string
        datasource_name:
          description: Name of the datasource, the dataset belongs to
          type: string
        datasource_type:
          $ref: '#/components/schemas/datasourceType'
        errors:
          description: list of errors encountered during the job processing
          items:
            type: string
          type: array
        feature_set_details:
          $ref: '#/components/schemas/featureSetDetails'
        infos:
          description: list of infos encountered during the job processing
          items:
            type: string
          type: array
        job_id:
          description: Unique Identifier of a dataset job
          type: string
        job_type:
          description: Type of the dataset job, such as training, prediction
          enum:
            - training
            - prediction
            - ground_truth
            - actionable_insights
          type: string
        records:
          description: Number of records processed in the dataset job
          type: integer
        registered_on:
          description: The timestamp, when dataset was registered on
          type: integer
        status:
          description: Processing status of the dataset job
          enum:
            - pending
            - processing
            - done
            - failed
            - skipped
          type: string
        warnings:
          description: list of warnings encountered during the job processing
          items:
            type: string
          type: array
      required:
        - job_id
        - dataset_id
        - dataset_name
        - datasource_name
        - datasource_type
        - job_type
        - registered_on
        - status
        - dataset_path
        - infos
        - errors
        - warnings
      title: Dataset Job
      type: object
    jobType:
      description: Type of processing, can be training or prediction.
      type: string
    actionableInsightsDetails:
      properties:
        domino_job_url:
          description: The URL of the Domino Job.
          type: string
        domino_results_url:
          description: URL at which the results can be accessed.
          type: string
    datasourceType:
      description: Type of the datasource to which the dataset belongs.
      enum:
        - s3
        - generic_s3
        - azure_blob
        - azure_data_lake_gen_2
        - google_cloud_storage
        - azure_data_lake_gen_1
        - hdfs
        - nfs
        - snowflake
      type: string
    featureSetDetails:
      properties:
        featureSetId:
          description: The version id for the current feature set version.
          type: string
        featureSetVersionId:
          description: >-
            The feature set id of the feature set to which the current feature
            set version belongs to.
          type: string
      required:
        - featureSetId
        - featureSetVersionId
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Create and manage Datasets](/cloud/platform-capabilities/core-concepts/data/datasets/create-and-manage-datasets.md)
- [Get Jobs for a project](/api-reference/jobs/get-jobs-for-a-project.md)
- [Get Job details](/api-reference/jobs/get-job-details.md)
- [Get dataset timeline](/api-reference/datasetjob/get-dataset-timeline.md)
